## org.eclipse.datatools.enablement.ingres.models.ingressqlmodel
Interface IngressqlmodelFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  IngressqlmodelFactoryImpl

    public interface IngressqlmodelFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `IngressqlmodelPackage`

Field Summary
`static java.lang.String` `copyright`
`static IngressqlmodelFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`IngresDBEvent` `createIngresDBEvent()` Returns a new object of class 'Ingres DB Event'.
`IngresIdentitySpecifier` `createIngresIdentitySpecifier()` Returns a new object of class 'Ingres Identity Specifier'.
`IngresSchema` `createIngresSchema()` Returns a new object of class 'Ingres Schema'.
`IngresSynonym` `createIngresSynonym()` Returns a new object of class 'Ingres Synonym'.
`IngresTrigger` `createIngresTrigger()` Returns a new object of class 'Ingres Trigger'.
`IngresViewTable` `createIngresViewTable()` Returns a new object of class 'Ingres View Table'.
`IngressqlmodelPackage` `getIngressqlmodelPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eINSTANCE

    static final IngressqlmodelFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createIngresSynonym

    IngresSynonym createIngresSynonym()

  Returns a new object of class 'Ingres Synonym'.

  Returns:
    a new object of class 'Ingres Synonym'.

### createIngresDBEvent

    IngresDBEvent createIngresDBEvent()

  Returns a new object of class 'Ingres DB Event'.

  Returns:
    a new object of class 'Ingres DB Event'.

### createIngresSchema

    IngresSchema createIngresSchema()

  Returns a new object of class 'Ingres Schema'.

  Returns:
    a new object of class 'Ingres Schema'.

### createIngresViewTable

    IngresViewTable createIngresViewTable()

  Returns a new object of class 'Ingres View Table'.

  Returns:
    a new object of class 'Ingres View Table'.

### createIngresTrigger

    IngresTrigger createIngresTrigger()

  Returns a new object of class 'Ingres Trigger'.

  Returns:
    a new object of class 'Ingres Trigger'.

### createIngresIdentitySpecifier

    IngresIdentitySpecifier createIngresIdentitySpecifier()

  Returns a new object of class 'Ingres Identity Specifier'.

  Returns:
    a new object of class 'Ingres Identity Specifier'.

### getIngressqlmodelPackage

    IngressqlmodelPackage getIngressqlmodelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.